# DeleteCrossRegionBandwidth

## 1. API Description

This API (DeleteCrossRegionBandwidth) is used to delete a private cross-region bandwidth.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Cross-region bandwidth is released immediately after deletion. The operation is irreversible. Please operate with caution.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name         | Required | Type   | Description                |
| ---------------------- | -------- | ------ | -------------------------- |
| crossRegionBandwidthId | Yes      | String | Cross-region bandwidth ID. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete a cross-region bandwidth.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteCrossRegionBandwidth
<Common Request Params>

Request：
{
    "crossRegionBandwidthId": "<your cross id>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                          | Description                            |
| ---------------- | ----------------------------------- | -------------------------------------- |
| 404              | INVALID\_ORDER\_NOT\_FOUND          | This order does not exist.             |
| 404              | INVALID\_VPC\_BANDWIDTH\_NOT\_FOUND | Cross-region bandwidth does not exist. |
